# class KListViewLineEdit | the editor for a KListView. More...
Internal Use Only
Definition | `#include <klistviewlineedit.h>`
Inherits | KLineEdit [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KListViewLineEdit (KListView *parent)
- ~KListViewLineEdit ()

#### Public Slots

- void terminate ()
- void load (QListViewItem *i, int c)

#### Signals

- void done (QListViewItem*, int)

#### Protected Methods

- virtual void focusOutEvent (QFocusEvent *)
- virtual void keyPressEvent (QKeyEvent *e)
- virtual void paintEvent (QPaintEvent *e)
- void terminate (bool commit)

#### Protected Members

- QListViewItem *item
- int col
- KListView *p

## Detailed Description

the editor for a KListView. please don't use this.

KListViewLineEdit (KListView *parent) | ### KListViewLineEdit

~KListViewLineEdit () | ### ~KListViewLineEdit

void done (QListViewItem*, int) | ### done

[signal]

void terminate () | ### terminate

[slot]

void load (QListViewItem *i, int c) | ### load

[slot]

void focusOutEvent (QFocusEvent *) | ### focusOutEvent

[protected virtual]

Reimplemented from QLineEdit.

void keyPressEvent (QKeyEvent *e) | ### keyPressEvent

[protected virtual]

Reimplemented from KLineEdit.

void paintEvent (QPaintEvent *e) | ### paintEvent

[protected virtual]

Reimplemented from QLineEdit.

void terminate (bool commit) | ### terminate

[protected]

QListViewItem * item | ### item

[protected]

int col | ### col

[protected]

KListView * p | ### p

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.